/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 64px;
  margin-top: 12px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
  text-transform: lowercase;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 76px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}

/*
* Layout icons
******************************************************************************/

.icon-circle {
    height: 2.5rem;
    width: 2.5rem;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

/*
* Layout scroll
******************************************************************************/

::-webkit-scrollbar {
  -webkit-appearance: none;
  width: 4px;
  background: #E8E8F1;
  border-radius: 100px;
  padding: 0px;
}

::-webkit-scrollbar:vertical {
  width: 5px;
}

::-webkit-scrollbar:horizontal {
  height: 5px;
}

::-webkit-scrollbar-button:increment,
::-webkit-scrollbar-button {
  display: none !important;
}

::-webkit-scrollbar-thumb {
  background-color: #696cff;
  border-radius: 20px;
}

::-webkit-scrollbar-track {
  border-radius: 10px;
}

/*
* Layout task
******************************************************************************/

.text-color-task {
    color: #566a7f;
}
.text-color-task:hover {
    color: #566a7f;
}
.tasks-content:hover {
    box-shadow: 0 2px 6px 0 rgba(67, 89, 113, 0.12) !important;
}
.fs-task {
    font-size: 11px;
}
.status-task-content {
    display: flex;
    flex-direction: column;
    z-index: 520;
}
.status-task {
    margin-bottom: 5px;
    display: none;
}
.status-task:hover {
    scale: 1.1;
}
.status-task-content:hover {
    position: absolute;
    right: 1.5rem;
    top: 1.5rem;
    background-color: #fff;
}
.status-task-content:hover .status-task {
    display: block;
}
.status-task.status-task-active {
    display: block;
}
.status-task-content .status-task:first-child {
    margin-bottom: 8px !important;
}
.status-task-content .status-task:last-child {
    margin-bottom: 0px;
}

/*
* Layout task - panel comments
******************************************************************************/

.content-comments {
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow-y: auto;
    overflow-x: hidden;
}
.message {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
}
.avatar-responsive.avatar, .avatar-responsive.avatar.avatar-lg, .avatar-responsive.avatar.avatar-sm, .avatar-responsive.avatar.avatar-xl, .avatar-responsive.avatar.avatar-xs {
    height: 26px;
    width: 26px;
}
@media (min-width: 768px){
    .avatar-responsive.avatar, .avatar-responsive.avatar.avatar-lg, .avatar-responsive.avatar.avatar-xl {
        height: 44px;
        width: 44px;
    }
}
@media (min-width: 576px){
    .avatar-responsive.avatar, .avatar-responsive.avatar.avatar-lg, .avatar-responsive.avatar.avatar-sm, .avatar-responsive.avatar.avatar-xl {
        height: 34px;
        width: 34px;
    }
}
.message-inner {
    max-width: 100%;
    min-width: 0;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    margin-left: 0.5rem
}
@media (min-width: 992px) {
    .message-inner {
        max-width: 70%;
    }
}

@media (min-width: 1200px){
    .message-inner {
        max-width: 70%;
    }
}
@media (min-width: 768px){
    .message-inner {
        margin-left: 1rem;
    }
}
.message-content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}
.message-content+.message-content {
    margin-top: 0.75rem;
}
.message-text {
    border-radius: 0.6rem;
    padding: 1rem;
    color: #a7a6a8;
    font-size: 12px;
}
.message-gallery, .message-text {
    overflow: hidden;
    margin-right: 0.25rem;
}
.message-content:not(:last-child) .message-text {
    border-bottom-left-radius: 0.25rem;
}
.message-footer {
    line-height: 1.3;
    margin-top: 0.35rem;
    font-size: 12px;
}
.message.message-out {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
    margin-top: 1.5rem;
}
@media (min-width: 992px){
    .message+.message {
        margin-top: 1.5rem;
    }
}
#content-text-wrapper {
    min-height: 41px;
    max-height: 80px;
    overflow-x: hidden;
    resize: none;
}
#content-text-wrapper:focus {
    min-height: 80px;
    max-height: 80px;
    overflow-x: hidden;
    resize: none;
}

/*
* Layout task - panel comments
******************************************************************************/

.btn-delete-item {
    display: none;
}

.item-content-btn:hover .btn-delete-item {
    display: block;
}

/*
* Layout editor
******************************************************************************/
.ck .ck-powered-by {
    display: none !important;
}

.ck-file-dialog-button {
    display: none !important;
}

.excelExample{
  top: 30px;
  position: relative;
  right: 65%;
}

@media (max-width: 768px){
  .excelExample {
      right: 80%;
  }
}

/*
* Layout notifications
******************************************************************************/
.notify-item-read {
    background: #181818 !important;
}

/*
* Calendar
******************************************************************************/
#calendar {
    /* max-width: 1100px; */
    margin: 0 auto;
}

.fc .fc-button-primary {
    background-color: var(--bs-primary) !important;
    border-color: var(--bs-primary) !important;
}

/*
* files
******************************************************************************/
.file_style{
  width: 100%;
  height: 100%;
}






.negotiations-table{ 
  overflow: unset !important; 
}
.client-low-card{
  display: flex; 
  align-items: center; 
}

.client-low-card .--name{
  margin-left: 4px; 
}

.client-low-card .--photo{
  aspect-ratio: 1 / 1; 
  height: 30px; 
  border-radius: 100em; 
  overflow: hidden; 
}
.client-low-card .--photo img{
  object-fit: cover;
  width: 100%; 
  height: 100%; 
}
